package eu.digitalconcepts.dcgw.api;

import java.util.Date;


/**
 * Header of JSON response. 
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Header
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/** HTTP status code. */
	private Integer httpStatus;
	
	/** Detailed gateway code of response. */
	private Integer code;
	
	/** Message to the gateway code. */
	private String message;
	
	/** Content of the JSON message. */
	private String content;
	
	/** Gateway information string. */
	private String gateway;
	
	/** Timestamp of the message. */
	private Date timestamp;
	
	
	// ===================================================================================================================================
	// Constructor
	// ===================================================================================================================================

	public Header()
	{
		this(null);
	}
	
	public Header(String pContent)
	{
		content   = pContent;
		timestamp = new Date();
	}

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public Integer getHttpStatus()
    {
    	return httpStatus;
    }

	public void setHttpStatus(Integer pHttpStatus)
    {
    	httpStatus = pHttpStatus;
    }

	public Integer getCode()
    {
    	return code;
    }

	public void setCode(Integer pCode)
    {
    	code = pCode;
    }

	public String getMessage()
    {
    	return message;
    }

	public void setMessage(String pMessage)
    {
    	message = pMessage;
    }

	public String getContent()
    {
    	return content;
    }

	public void setContent(String pContent)
    {
    	content = pContent;
    }

	public String getGateway()
    {
    	return gateway;
    }

	public void setGateway(String pGateway)
    {
    	gateway = pGateway;
    }

	public Date getTimestamp()
    {
    	return timestamp;
    }

	public void setTimestamp(Date pTimestamp)
    {
    	timestamp = pTimestamp;
    }
}
