package eu.digitalconcepts.dcgw.api.device;

import java.util.Date;
import java.util.List;

import eu.digitalconcepts.dcgw.api.profile.FunctionGroup;
import eu.digitalconcepts.dcgw.api.telegram.TelegramFunction;


/**
 * JSON response of a device. 
 * 
 *
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Device
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/** Unique ID of the EnOcean device. */
	private String deviceId;
	
	/** Cleartext name of the device. */
	private String friendlyId;
	
	/** Friendly name to group "different individual EEP devices combined in a box". */
	private String physicalDevice;
	
	/** Supported EEPs of the device. */
	private List<Eep> eeps;

	private String learnInProcedure;
	
	private String iotLabel;
	
	private String remanCode;
	
	private String deviceType;

	private String manufacturer;
	
	private String location;
	
	private Date firstSeen;
	
	private Date lastSeen;
	
	private Boolean softSmartAck;
	
	private List<TransmitMode> transmitModes;
	
	private List<FunctionGroup> functionGroups;
	
	private List<TelegramFunction> states;
	
	private Boolean operable;
	
	private Boolean supported;
	
	private Boolean deleted;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getDeviceId()
	{
		return deviceId;
	}

	public void setDeviceId(String pDeviceId)
	{
		deviceId = pDeviceId;
	}

	public String getFriendlyId()
	{
		return friendlyId;
	}

	public void setFriendlyId(String pFriendlyId)
	{
		friendlyId = pFriendlyId;
	}

	public String getPhysicalDevice()
	{
		return physicalDevice;
	}

	public void setPhysicalDevice(String pPhysicalDevice)
	{
		physicalDevice = pPhysicalDevice;
	}

	public List<Eep> getEeps()
	{
		return eeps;
	}

	public void setEeps(List<Eep> pEeps)
	{
		eeps = pEeps;
	}

	public String getLearnInProcedure()
	{
		return learnInProcedure;
	}

	public void setLearnInProcedure(String pLearnInProcedure)
	{
		learnInProcedure = pLearnInProcedure;
	}

	public String getIotLabel()
	{
		return iotLabel;
	}

	public void setIotLabel(String pIotLabel)
	{
		iotLabel = pIotLabel;
	}

	public String getRemanCode()
	{
		return remanCode;
	}

	public void setRemanCode(String pRemanCode)
	{
		remanCode = pRemanCode;
	}

	public String getDeviceType()
	{
		return deviceType;
	}

	public void setDeviceType(String pDeviceType)
	{
		deviceType = pDeviceType;
	}

	public String getManufacturer()
	{
		return manufacturer;
	}
	
	public void setManufacturer(String pManufacturer)
	{
		manufacturer = pManufacturer;
	}
	
	public String getLocation()
	{
		return location;
	}

	public void setLocation(String pLocation)
	{
		location = pLocation;
	}

	public Date getFirstSeen()
	{
		return firstSeen;
	}

	public void setFirstSeen(Date pFirstSeen)
	{
		firstSeen = pFirstSeen;
	}

	public Date getLastSeen()
	{
		return lastSeen;
	}

	public void setLastSeen(Date pLastSeen)
	{
		lastSeen = pLastSeen;
	}

	public Boolean getSoftSmartAck()
	{
		return softSmartAck;
	}

	public void setSoftSmartAck(Boolean pSoftSmartAck)
	{
		softSmartAck = pSoftSmartAck;
	}

	public List<TransmitMode> geTransmitModes()
	{
		return transmitModes;
	}

	public void setTransmitModes(List<TransmitMode> pTransmitModes)
	{
		transmitModes = pTransmitModes;
	}

	public List<FunctionGroup> getFunctionGroups()
	{
		return functionGroups;
	}

	public void setFunctionGroups(List<FunctionGroup> pFunctionGroups)
	{
		functionGroups = pFunctionGroups;
	}

	public List<TelegramFunction> getStates()
	{
		return states;
	}

	public void setStates(List<TelegramFunction> pStates)
	{
		states = pStates;
	}

	public Boolean getOperable()
	{
		return operable;
	}

	public void setOperable(Boolean pOperable)
	{
		operable = pOperable;
	}

	public Boolean getSupported()
	{
		return supported;
	}

	public void setSupported(Boolean pSupported)
	{
		supported = pSupported;
	}

	public Boolean getDeleted()
	{
		return deleted;
	}

	public void setDeleted(Boolean pDeleted)
	{
		deleted = pDeleted;
	}
}