package eu.digitalconcepts.dcgw.api.device;



/**
 * JSON container to transmission modes of a profile function.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class TransmitMode
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Technical key of function.
	 */
	private String key;
	
	/**
	 * Store last state and transmit when client establishes a simple api connection.
	 */
	private boolean transmitOnConnect;
	
	/**
	 * Transmit function state on event to connected clients.
	 */
	private boolean transmitOnEvent;
	
	/**
	 * Transmit duplicated function state on event to connected clients.
	 */
	private boolean transmitOnDuplicate;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getKey()
    {
    	return key;
    }

	public void setKey(String pKey)
    {
    	key = pKey;
    }

	public boolean isTransmitOnConnect()
    {
    	return transmitOnConnect;
    }

	public void setTransmitOnConnect(boolean pTransmitOnConnect)
    {
    	transmitOnConnect = pTransmitOnConnect;
    }

	public boolean isTransmitOnEvent()
    {
    	return transmitOnEvent;
    }

	public void setTransmitOnEvent(boolean pTransmitOnEvent)
    {
    	transmitOnEvent = pTransmitOnEvent;
    }

	public boolean isTransmitOnDuplicate()
    {
    	return transmitOnDuplicate;
    }

	public void setTransmitOnDuplicate(boolean pTransmitOnDuplicate)
    {
    	transmitOnDuplicate = pTransmitOnDuplicate;
    }
}
