package eu.digitalconcepts.dcgw.api.profile;

import java.util.List;

import eu.digitalconcepts.dcgw.api.telegram.FunctionValue;


/**
 * JSON model of a single EEP function.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Function
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/** Technical key of function. */
	private String key;
	
	/** Description of function in English. */
	private String description;

	/** List of possible values of function if available. */
	private List<Value> values;
	
	/** Transmit last state on connect. */
	private Boolean transmitOnConnect;
	
	/** Transmit key/value when new telegram arrives. */
	private Boolean transmitOnEvent;
	
	/** Transmit key/value when new telegram arrives even if no change to last state. */
	private Boolean transmitOnDuplicate;
	
	/** Default value if not set in "to" function group. */
	private FunctionValue defaultValue;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getKey()
    {
    	return key;
    }

	public void setKey(String pKey)
    {
    	key = pKey;
    }

	public String getDescription()
    {
    	return description;
    }

	public void setDescription(String pDescription)
    {
    	description = pDescription;
    }

	public List<Value> getValues()
    {
    	return values;
    }

	public void setValues(List<Value> pValues)
    {
    	values = pValues;
    }

	public Boolean isTransmitOnConnect()
	{
		return transmitOnConnect;
	}

	public void setTransmitOnConnect(Boolean pTransmitOnConnect)
	{
		transmitOnConnect = pTransmitOnConnect;
	}

	public Boolean isTransmitOnEvent()
	{
		return transmitOnEvent;
	}

	public void setTransmitOnEvent(Boolean pTransmitOnEvent)
	{
		transmitOnEvent = pTransmitOnEvent;
	}

	public Boolean isTransmitOnDuplicate()
	{
		return transmitOnDuplicate;
	}

	public void setTransmitOnDuplicate(Boolean pTransmitOnDuplicate)
	{
		transmitOnDuplicate = pTransmitOnDuplicate;
	}

	public FunctionValue getDefaultValue()
	{
		return defaultValue;
	}

	public void setDefaultValue(FunctionValue pDefaultValue)
	{
		defaultValue = pDefaultValue;
	}	
}
