package eu.digitalconcepts.dcgw.api.profile;

import java.util.ArrayList;
import java.util.List;


/**
 * JSON model of a group of functions which are send inside of one telegram 
 * referenced by command ID.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class FunctionGroup 
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Function group title.
	 */
	private String title;
	
	/**
	 * Possible telegram direction of the function group.
	 */
	private Direction direction;
	
	/**
	 * List of technical functions.
	 */
	private final List<Function> functions = new ArrayList<Function>();

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getTitle()
	{
		return title;
	}

	public void setTitle(String pTitle)
	{
		title = pTitle;
	}
	
	public Direction getDirection()
    {
    	return direction;
    }

	public void setDirection(Direction pDirection)
    {
    	direction = pDirection;
    }

	public List<Function> getFunctions()
	{
		return functions;
	}
}
