package eu.digitalconcepts.dcgw.api.profile;

import java.util.List;


/**
 * API model of a single EnOcean Equipment Profile.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Profile
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * EnOcean Equipment Profile (EEP) ID.
	 */
	private String eep;
	
	/**
	 * Version of this profile.
	 */
	private double version;
	
	/**
	 * Variation of this profile. 
	 */
	private String variation;
	
	/**
	 * Title of the profile.
	 */
	private String title;
	
	/**
	 * List of vendor specific EEP variations.
	 */
	private List<Variation> variations;
	
	/**
	 * List of grouped functions.
	 */
	private List<FunctionGroup> functionGroups;
	
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getEep()
	{
		return eep;
	}
	
	public void setEep(String pEep)
	{
		eep = pEep;
	}

	public double getVersion()
	{
		return version;
	}

	public void setVersion(double pVersion)
	{
		version = pVersion;
	}

	public String getVariation()
	{
		return variation;
	}

	public void setVariation(String pVariation)
	{
		variation = pVariation;
	}
	
	public String getTitle()
    {
    	return title;
    }

	public void setTitle(String pTitle)
    {
    	title = pTitle;
    }

	public List<Variation> getVariations()
    {
    	return variations;
    }

	public void setVariations(List<Variation> pVariations)
    {
    	variations = pVariations;
    }

	public List<FunctionGroup> getFunctionGroups()
	{
		return functionGroups;
	}
	
	public void setFunctionGroups(List<FunctionGroup> pFunctionGroups)
    {
    	functionGroups = pFunctionGroups;
    }
}
