package eu.digitalconcepts.dcgw.api.profile;

import java.math.BigDecimal;


/**
 * API model of a logical value range of a function.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Range
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Logical minimal value.
	 */
	private BigDecimal min;
	
	/**
	 * Logical maximal value.
	 */
	private BigDecimal max;

	/**
	 * Value stepping.
	 */
	private BigDecimal step;
	
	/**
	 * Value unit in English.
	 */
	private String unit;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public BigDecimal getMin()
	{
		return min;
	}

	public void setMin(BigDecimal pMin)
	{
		min = pMin;
	}

	public BigDecimal getMax()
	{
		return max;
	}

	public void setMax(BigDecimal pMax)
	{
		max = pMax;
	}

	public BigDecimal getStep()
	{
		return step;
	}

	public void setStep(BigDecimal pStep)
	{
		step = pStep;
	}

	public String getUnit()
	{
		return unit;
	}

	public void setUnit(String pUnit)
	{
		unit = pUnit;
	}
}
